<template>
    <div class="user">
        <div class="user__photo"><img src="/img/user.jpg"></div>
        <div class="user__info">
            <div class="user__name">{{ $page.props.auth.user.name }}</div>
            <div class="user__work">{{ $page.props.auth.user.userrole.name }}</div>
        </div>
        <div class="user__wrapper">
            <div class="user__cab">
                <Link :href="'/users/' + $page.props.auth.user.id" class="user__link">Мой профиль</Link>
                <Link :href="'/users/'" class="user__link" v-if="$page.props.auth.user.role_id == 3">Пользователи</Link>
                <div @click="router.post('/logout/')" class="user__link red">Выйти</div>
            </div>
        </div>
    </div>
</template>
<script setup>
import { Link, router } from '@inertiajs/vue3';
</script>
